
=== 2161jumpTo3dot1-yo.cs ===
Change Set:		jumpTo3dot1-bf
Date:			19 November 2008
Author:			Yoshiki Ohshima

Jump to version 3.1

=== 2160newDatastore-bf.cs ===
Change Set:		newDatastore-bf
Date:			28 October 2008
Author:			Bert Freudenberg

Cope with new Datastore using ByteArrays for Strings

=== 2159putSourceFix-yo.cs ===
Change Set:		putSourceFix-yo
Date:			25 September 2008
Author:			Yoshiki Ohshima

Guard putSource:fromParseNode:... with a nil check.

=== 2158bkwdCompatFixes-sw.cs ===
Change Set:		bkwdCompatFixes-sw
Date:			19 September 2008
Author:			Scott Wallace

Fixes two backward-compatibility problems relating to ColorPickerMorphs and PianoKeyboardMorphs.

=== 2157WsReleasesInput-yo.cs ===
Change Set:		WsReleasesInput-yo
Date:			23 September 2008
Author:			Yoshiki Ohshima

WorldStethoscope was doing the mic mode fiddling at wrong timing.

The mode change primitive turns the mic on, but it was called after shutting down the input device.

=== 2156composeTitle-bf.cs ===
Change Set:		composeTitle-bf
Date:			24 September 2008
Author:			Bert Freudenberg

Compose accents in title of Journal object after receiving metadata from Sugar

=== 2155buddyFix-bf.cs ===
Change Set:		buddyFixes-bf
Date:			19 September 2008
Author:			Bert Freudenberg

Compose buddy nick name. Protect against empty color string.

=== 2154dissociateWSWorld-yo.cs ===
Change Set:		dissociateWSFromWorld-yo
Date:			23 September 2008
Author:			Yoshiki Ohshima

Complete 2152rmSingletonFromWs-yo.

=== 2153metaData-bf.cs ===
Change Set:		metaData-bf
Date:			18 September 2008
Author:			Bert Freudenberg

Keep meta data set in Journal (#8550)

=== 2152rmSingletonFromWs-yo.cs ===
Change Set:		removeSingletonFromWs-yo
Date:			18 September 2008
Author:			Yoshiki Ohshima

Eliminates the unnecessary use of the singleton pattern in WsWorldStethoscope.

=== 2151releaseResourceThumb-yo.cs ===
Change Set:		releaseResourceThumb-yo
Date:			18 September 2008
Author:			Yoshiki Ohshima

When just creating the thumbnail for a morph that uses hardware resource, call delete to cause proper finalization.

=== 2150condenseSources2-yo.cs ===
Change Set:		condenseSources2-yo
Date:			17 September 2008
Author:			Yoshiki Ohshima

Fix the added comment so that it doesn't find stamp: in the comment.

It is unlikely to happen, but just really taking a precaution here.

=== 2149localeAndPangoCheck-yo.cs ===
Change Set:		localeAndPangoCheck-yo
Date:			17 September 2008
Author:			Yoshiki Ohshima

Enable pango when the locale is unknown.  Reorder the start up list so that it does it in a saner order.

=== 2148condenseSources-yo.cs ===
Change Set:		condenseSources-yo
Date:			16 September 2008
Author:			Yoshiki Ohshima

Make condense sources work after EtoysV3.
Take out the line that specifies the MacRoman converter, and also edit a method that has stamp: near the end.

=== 2147sqLandNavBarHeight-yo.cs ===
Change Set:		sqLandNavBarHeight-yo
Date:			15 September 2008
Author:			Yoshiki Ohshima

Even In the Squeakland setting, the bar height should be 75 when the screen size is comparable to XO.

=== 2146dropHandler-bf.cs ===
Change Set:		dropHandler-bf
Date:			15 September 2008
Author:			Bert Freudenberg

Fix drop handlers to not hold onto the last dropped stream indefinitely, preventing GC of the stream.

=== 2145tempFile-bf.cs ===
Change Set:		tempFile-bf
Date:			15 September 2008
Author:			Bert Freudenberg

Do not delete a temp file returned from the datastore if its name is still used in a file list. This happens when opening a text file or unknown file (#8402). Relies on proper finalization of dropped streams, fix for that will follow.

=== 2144TextLocaleChng-yo.cs ===
Change Set:		TextLocaleChng-yo
Date:			14 September 2008
Author:			Yoshiki Ohshima

Fix the localeChange inTextMorph so that the multi language feature doesn't fail when there is no previous locale is known.

=== 2143macEnc-bf.cs ===
Change Set:		macEnc-bf
Date:			14 September 2008
Author:			Bert Freudenberg

Use utf8 filenames on Mac even in browser

=== 2142sqRelBuilderInit-yo.cs ===
Change Set:		sqRelBuilderInit-yo
Date:			12 September 2008
Author:			Yoshiki Ohshima

Change the start up screen.

=== 2141chooser-bf.cs ===
Change Set:		chooser-bf
Date:			9 September 2008
Author:			Bert Freudenberg

Enable Find button in Sugar, bringing up the Journal's object chooser

=== 2140dbusObjects7-bf.cs ===
Change Set:		dbusObjects7-bf
Date:			9 September 2008
Author:			Bert Freudenberg

Name: DBus-Objects-bf.7
Author: bf
Time: 9 September 2008, 3:25:55 pm
UUID: fb4a88ea-6ca3-4420-a046-f8192d70bd76
Ancestors: DBus-Objects-bf.6

- add argument matching on DBusProxy

=== 2139buddyLayout-bf.cs ===
Change Set:		buddyLayout-bf
Date:			8 September 2008
Author:			Bert Freudenberg

- make buddy flap resizable (#7749)
- add new buddies below older buddies (#8082)

=== 2138enterWelcome-bf.cs ===
Change Set:		enterWelcome-bf
Date:			8 September 2008
Author:			Bert Freudenberg

Do not enter welcome project if DnD events are queued

=== 2137vd2-yo.cs ===
Change Set:		vd2-yo
Date:			6 September 2008
Author:			Yoshiki Ohshima

Allow slight lax of screen size difference.

=== 2136activeHand-sw.cs ===
Change Set:		activeHand-sw
Date:			6 September 2008
Author:			Scott Wallace

Fix to bug in 2033releaseKbd-kfr which generated error if #hide script executed during event replay.

=== 2135vd.cs ===

=== 2134fixDnD-bf.cs ===
Change Set:		fixDnD-bf
Date:			5 September 2008
Author:			Bert Freudenberg

Do not flush drag-and-drop events (fixes double-click project to start)

=== 2133answerFlushed-bf.cs ===
Change Set:		answerFlushed-bf
Date:			5 September 2008
Author:			Bert Freudenberg

Make SharedQueue>flushAllSuchThat: answer the flushed elements

=== 2132datastoreEnc-bf.cs ===
Change Set:		datastoreEnc-bf
Date:			5 September 2008
Author:			Bert Freudenberg

Use utf8 for file names sent to or received from the datastore (#8212)

=== 2131dbusCore45-bf.cs ===
Change Set:		dbusCore45-bf
Date:			5 September 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.45
Author: bf
Time: 5 September 2008, 1:28:03 pm
UUID: cec08c26-3c56-467f-a6b1-0477b421f01f
Ancestors: DBus-Core-bf.44

- make string arg accept WideString/WideSymbol (converted to UTF8)
- make array arg accept String (converted to ByteArray)

=== 2130revertSugarClip-bf.cs ===
Change Set:		revertSugarClip-bf
Date:			5 September 2008
Author:			Bert Freudenberg

Revert workaround for Sugar bug (#6262/#8287)

=== 2129pangoJump-yo.cs ===
Change Set:		pangoJump-yo
Date:			4 September 2008
Author:			Yoshiki Ohshima

set the usePango flag to false for these jumping guys.

=== 2128unhibExtensArrow-sw.cs ===
Change Set:		unhibExtensArrow-sw
Date:			4 September 2008
Author:			Scott Wallace

Some extension and retraction arrows on open ScriptEditorMorphs were not being restored properly upon unhibernate.

=== 2127pangoBeforeFixLayout-yo.cs ===
Change Set:		pangoBeforeFixLayout-yo
Date:			3 September 2008
Author:			Yoshiki Ohshima

Fixes the wrong layout problem after switching to Pango.

=== 2126fixLayoutSep2-yo.cs ===
Change Set:		fixLayoutSep2-yo
Date:			3 September 2008
Author:			Yoshiki Ohshima

Fix the layout of tiles upon loading in a much better way.

the recursive call with nonsense tests and intermediate collection is simplified.

There is still a room to unify the unhibernate and localeChanged, but not this time around.

=== 2125sugarClip-bf.cs ===
Change Set:		sugarClip-bf
Date:			2 September 2008
Author:			Bert Freudenberg

Make open from clipboard work (#6262)

=== 2124noSaveDefault-bf.cs ===
Change Set:		noSaveDefault-bf
Date:			2 September 2008
Author:			Bert Freudenberg

Do not save default project automatically

=== 2123invites-bf.cs ===
Change Set:		invites-bf
Date:			2 September 2008
Author:			Bert Freudenberg

Add invitation support (#5280)

=== 2122slowLangMenu-bf.cs ===
Change Set:		slowLangMenu-bf
Date:			2 September 2008
Author:			Bert Freudenberg

Show a wait cursor while assembling the language menu, which takes a couple of seconds the first time.

=== 2121RussianConveters-yo.cs ===

=== 2120zeroClipboardWrkarnd-yo.cs ===
Change Set:		zeroClipboardWorkaround-yo
Date:			29 August 2008
Author:			Yoshiki Ohshima

Workaround for strange results from the clipboard primitive.  Chop it when there is null in the string.

=== 2119dbusObjects6-bf.cs ===
Change Set:		dbusObjects6-bf
Date:			29 August 2008
Author:			Bert Freudenberg

Allow multiple evaluation of dbus handlers (#8210):

Name: DBus-Objects-bf.6
Author: bf
Time: 29 August 2008, 5:21:41 pm
UUID: 6a6986d5-4ed1-4a0d-b4b7-87a397fa979b
Ancestors: DBus-Objects-bf.5

- fix message handler copying for evaluation

=== 2118stderrAppend-bf.cs ===
Change Set:		stderrAppend-bf
Date:			29 August 2008
Author:			Bert Freudenberg

Append to the end of stderr and stdout.

=== 2117prjTitle-bf.cs ===
Change Set:		prjTitle-bf
Date:			29 August 2008
Author:			Bert Freudenberg

Convert project title from Squeak to UTF-8 only once (#8199).

=== 2116errlog-bf.cs ===
Change Set:		errlog-bf
Date:			29 August 2008
Author:			Bert Freudenberg

The error logged to the console was cut off occasionally.

=== 2115robustStdStreams2-bf.cs ===
Change Set:		robustStdStreams2-bf
Date:			28 August 2008
Author:			Bert Freudenberg

Protect stdin, stdout, stderr against file open failure, and reopen if closed.

=== 2114robustStdStreams-bf.cs ===
Change Set:		robustStdStreams-bf
Date:			28 August 2008
Author:			Bert Freudenberg

Protect stdin, stdout, stderr against file open failure.

=== 2113pangoWidth2-yo.cs ===
Change Set:		pangoWidth2-yo
Date:			28 August 2008
Author:			Yoshiki Ohshima

Fix the width of menu.  Also some refactoring of code.

=== 2112pangoWidth-yo.cs ===
Change Set:		pangoWidth-yo
Date:			28 August 2008
Author:			Yoshiki Ohshima

UpdatingString overwrote #fitContents wrongly.

=== 2111rotationHandlesAgain-sw.cs ===
Change Set:		rotationHandlesAgain-sw
Date:			28 August 2008
Author:			Scott Wallace

Put up balloon help rather than an informer when user tries to operate direction or rotation-center handle without shift key down.
Restore requirement that shift key be down to operate direction arrow.
A surprising number of things were wrong with the previous implementation...

=== 2110GetTextRandom2-yo.cs ===
Change Set:		GetTextRandom2-yo
Date:			28 August 2008
Author:			Yoshiki Ohshima

Bullet proofing in case the data structure is not sane.

=== 2109screenModeMenuAug28-yo.cs ===
Change Set:		screenModeMenuAug28-yo
Date:			28 August 2008
Author:			Yoshiki Ohshima

Add full screen to the  screen mode choice.

=== 2108pangoInitInHaloName-yo.cs ===
Change Set:		pangoInitInHaloName-yo
Date:			28 August 2008
Author:			Yoshiki Ohshima

add the initialization of usePango for NameStringInHalo.

=== 2107journalUTC-bf.cs ===
Change Set:		journalUTC-bf
Date:			28 August 2008
Author:			Bert Freudenberg

Make Journal timestamps use proper Unix time

=== 2106chronologyUnix-bf.cs ===
Change Set:		chronologyUnix-bf
Date:			28 August 2008
Author:			Bert Freudenberg

Add asUnixTime to Kernel-Chronology

=== 2105idSlotNameChange-yo.cs ===
Change Set:		idSlotNameChange-yo
Date:			27 August 2008
Author:			Yoshiki Ohshima

Short cut the actual process when the name specified is the same.

=== 2104pangoPrefAug27-yo.cs ===
Change Set:		pangoPrefAug27-yo
Date:			27 August 2008
Author:			Yoshiki Ohshima

Avoid to attempt font autoload under Sugar/Rainbow.  Enable Pango when needed.

=== 2103MenuItemPango-yo.cs ===
Change Set:		MenuItemPango-yo
Date:			27 August 2008
Author:			Yoshiki Ohshima

When pango is enabled, take a different path to render menu items properly.

=== 2102NatLangExtraInfo2-yo.cs ===
Change Set:		NatLangExtraInfo2-yo
Date:			27 August 2008
Author:			Yoshiki Ohshima

Fix a typo in an extra information phrase.

=== 2101NatLangExtraInfo-yo.cs ===
Change Set:		NatLangExtraInfo-yo
Date:			27 August 2008
Author:			Yoshiki Ohshima

Generated .pot file contains extra rendering help information.

=== 2100notUCQuit-sw.cs ===
Change Set:		notUCQuit-sw
Date:			26 August 2008
Author:			Scott Wallace

Remove an infelicitous capitalization.

=== 2099textNil-bf.cs ===
Change Set:		textNil-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Protect against text being nil (#7737)

=== 2098typo-bf.cs ===
Change Set:		typo-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Fix a typo introduced in last update

=== 2097buddiesFix2-bf.cs ===
Change Set:		buddiesFix2-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Fix another occurrence of #8129: protect against missing buddy object on DBus

=== 2096buddiesFix-bf.cs ===
Change Set:		buddiesFix-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Protect against buddies being nil (#8129)

=== 2095dbusObjects5-bf.cs ===
Change Set:		dbusObjects5-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Name: DBus-Objects-bf.5
Author: bf
Time: 26 August 2008, 5:00:24 pm
UUID: 46e0b6da-8aaa-4ac3-bc71-d9a126c710eb
Ancestors: DBus-Objects-bf.4

- use copy of blocks when handling messages to facilitate parallel evaluation

=== 2094dbusCore44-bf.cs ===
Change Set:		dbusCore44-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.44
Author: bf
Time: 26 August 2008, 4:47:15 pm
UUID: b4d6c48a-c956-4ec1-b3c5-159a94fe781a
Ancestors: DBus-Core-bf.43

- default to int64 for LargeIntegers

=== 2093journalTime-bf.cs ===
Change Set:		journalTime-bf
Date:			26 August 2008
Author:			Bert Freudenberg

Add 'timestamp' property when storing to Journal (#8152)

=== 2092LocalePluginAddins-tpr.cs ===
Change Set:		LocalePluginAddins
Date:			2 June 2005
Author:			tim@rowledge.org

Changes to Squeak3.8 Locale class to make use of prims in LocalePlugin.
Modified by Bert Freudenberg: correct fallbacks, set local time zone on startup

=== 2091flipFix-bf.cs ===
Change Set:		flipFix-bf
Date:			25 August 2008
Author:			Bert Freudenberg

When rotationStyle is set to flip left-right or up-down, do not flip the graphic while editing the forward direction. At least this is how appears to the user, internally we actually flip the graphic if it will be flipped back by the rendering code.

=== 2090trnProxyEdit-KR.cs ===
Change Set:		trnProxyEdit-KR
Date:			15 May 2008
Author:			

translate HTTPProxyEditor 

=== 2089MiniEditorFixAug25-yo.cs ===
Change Set:		MiniEditorFIxAug25-yo
Date:			26 August 2008
Author:			Yoshiki Ohshima

Fix the behavior of MiniEditor.

There could be a better fix to the compatibility of Pango, and not tweaking the client code like this one.  But for now this should do it.

=== 2088etoysNotSqueak-sw.cs ===
Change Set:		etoysNotSqueak-sw
Date:			25 August 2008
Author:			Scott Wallace

Change user-facing wording 'Squeak' to 'Etoys' in the various Quit dialogs.
Center the choices in confirmers.

Note to Translators:  the following strings have changed;

OLD:	Are you sure you want to Quit Squeak?
NEW:	Are you sure you want to Quit Etoys?

OLD:	Quit Squeak altogether
NEW:	Quit Etoys altogether



=== 2087projectName2-bf.cs ===
Change Set:		projectName2-bf
Date:			25 August 2008
Author:			Bert Freudenberg

Do not set project name if it is already set, because it otherwise adds an unwanted suffix 

=== 2086projectName-bf.cs ===
Change Set:		projectName-bf
Date:			25 August 2008
Author:			Bert Freudenberg

Preserve project name set in Journal (#8087)

=== 2085shareHelp-bf.cs ===
Change Set:		shareHelp-bf
Date:			25 August 2008
Author:			Bert Freudenberg

Update share-button help message

=== 2084retreatOnDirArrow-sw.cs ===
Change Set:		retreatOnDirArrow-sw
Date:			23 August 2008
Author:			Scott Wallace

Step back (for the moment) from requiring the shift key to be down in order to operate the direction handle, because of the emergence of a sporadic but intractable issue that was revealed by update 2082centerOfRot.  With this update, you can now operate the direction-arrow with the shift key either down or up.

Also, fixes the long-standing bug that if a morph bearing a halo is dragged and then dropped, the direction and center-of-rotation handles reappear behind the morph, hence usually invisible and inaccessible.  When an unexpected drag results from the bug relating to shift-drag of the forward-direction handle, this fix becomes especially important, since at least the forward-direction handle will reappear after the drag.

=== 2083msgHarmonize-sw.cs ===
Change Set:		msgHarmonize-sw
Date:			22 August 2008
Author:			Scott Wallace

Harmonizes two recently-added informers

=== 2082centerOfRot-sw.cs ===
Change Set:		centerOfRot-sw
Date:			21 August 2008
Author:			Scott Wallace

Always show center-of-rotation and forward-direction handles on halos of Sketches -- no more requiring slight rotation for these to be shown.

If user tries to operate the center-of-rotation halo handle or the green forward-direction handle *without* the shift key down, put up an Informer explaining things to her.  

Continue to require shift for operating the center-of-rotation handle, and additionally now require the same for operating the forward-direction handle.

Fix up corresponding balloon help.

Also adds support for popping up an informer right above the cursor, so that a simple click in the ok button, not requiring mouse repositioning, will dismiss the informer.

=== 2081obtrudesFix-sw.cs ===
Change Set:		obtrudesFix-sw
Date:			12 August 2008
Author:			Scott Wallace

While a morph is being carried in the hand, make 'obtrudes' be interpreted with reference to the former owner.

=== 2080macCase-bf.cs ===
Change Set:		macCase-bf
Date:			20 August 2008
Author:			Bert Freudenberg

Mac file system is case-insensitive

=== 2079noAudioNebraska-bf.cs ===
Change Set:		noAudioNebraska-bf
Date:			19 August 2008
Author:			Bert Freudenberg

Remove AudioChat and ScreenSharing buttons which do not yet work over tubes

=== 2078SuppliesContentAug6-yo.cs ===
Change Set:		SuppliesContentAug6-yo
Date:			7 August 2008
Author:			Yoshiki Ohshima

Fix the supplies bin contents.

It also adds a line in the flap destory logic to clear up the cached and very confusing information.

=== 2077TextWidthAug6-yo.cs ===
Change Set:		TextWidthAug6-yo
Date:			7 August 2008
Author:			Yoshiki Ohshima

Prevent the text created from the supplies to shrink wrongly when pango is enabled.

=== 2076stickTo16bit2-yo.cs ===
Change Set:		stickTo16bit2-yo
Date:			6 August 2008
Author:			Yoshiki Ohshima

Complete the fix by 2074stickTo16-bit-yo.

=== 2075pangoForRelease-yo.cs ===
Change Set:		pangoDefaultForRelease-yo
Date:			6 August 2008
Author:			Yoshiki Ohshima

For this summer release, pango is off by default.

=== 2074stickTo16bit-yo.cs ===
Change Set:		stickTo16bit-yo
Date:			6 August 2008
Author:			Yoshiki Ohshima

Keep the screen depth at 16 bit upon the transition of virtual display and non-virtual.

=== 2073pangoFixesAug5-yo.cs ===
Change Set:		pangoFixesAug5-yo
Date:			5 August 2008
Author:			Yoshiki Ohshima

Some fixes for the pango rendering binding.

=== 2072MorphInFile2-tk.cs ===
Change Set:		MorphInFile2-tk
Date:			25 July 2008
Author:			Ted Kaehler

In cases where the structures in a SmartRefStream happen to miss a class, and the class is found in the receiving system, and the instSize is correct, go ahead and make an instance of the class anyway.
	A class is left out when progress bar displayWorld unhibernates something that was not present when objects were counted.

=== 2071MorphInFile-tk.cs ===
Change Set:		MorphInFile-tk
Date:			25 July 2008
Author:			Ted Kaehler

Fixes a bug in 'save Morph on file'.  Example is saving a QuickGuide as a morph.
	During the scan phase when SmartRefStream writes to a DummyStream, all UserTexts had nil editors and paragraphs, meaning that they were released.  These were not been recorded in 'structures'.  During writing, the progress bar's displayWorld had forced a UserText to regenerate instances of MultiNewParagraph, NewParagraph, and TextLine in instance variable paragraph.  They were written on the disk.  Upon reading in, the classes could not be found in the structures list.
	This simple fix just forces those classes to be in structures.

=== 2070keystroke-sw.cs ===
Change Set:		keystroke-sw
Date:			2 August 2008
Author:			Scott Wallace

TRAC #7779:  lastKeystroke malfunction in player moved to different project

Make the lastKeystroke slot available to all objects, not just the World, and make it always report the last keystroke in the current project's world, whether or not the receiver resides in that world.

=== 2069buddiesFlap-bf.cs ===
Change Set:		buddiesFlap-bf
Date:			1 August 2008
Author:			Bert Freudenberg

Use translated name to find buddies flap, do not translate holder morph name

=== 2068FireFoxOnVista-yo.cs ===
Change Set:		FireFoxOnVista-yo
Date:			29 July 2008
Author:			Yoshiki Ohshima

SugarLauncher looks to see if it has the src parameter from Squeak plugin on FF.

=== 2067nilContents2-yo.cs ===
Change Set:		nilContents2-yo
Date:			29 July 2008
Author:			Yoshiki Ohshima

The right fix for it after 2059pangoSpeedup.

=== 2066nilContents-yo.cs ===
Change Set:		nilContents-yo
Date:			28 July 2008
Author:			Yoshiki Ohshima

Add a guard to StringMorph when contents is nil.

=== 2065WSRework-yo.cs ===
Change Set:		WSRework-yo
Date:			28 July 2008
Author:			Yoshiki Ohshima

Fix analog/direct input mode. 

=== 2064polyStep-sw.cs ===
Change Set:		polyStep-sw
Date:			28 July 2008
Author:			Scott Wallace

Give PolygonMorphs the same stepTime as other Morphs when they have players attached.

=== 2063GStreamer-UI.cs ===
Change Set:		GStreamer-UI
Date:			26 July 2008
Author:			John McIntosh, Joshua Gargus

Initial import of GStreamer code base from squeaksource.com/GStreamer

Name: GStreamer-UI-jcg.15
Author: jcg
Time: 11 May 2008, 4:07:17 pm
UUID: 3f76c8bb-1108-4a28-a100-d888e0791485
Ancestors: GStreamer-UI-jcg.14


=== 2062GStreamer-Base.cs ===
Change Set:		GStreamer-Base
Date:			26 July 2008
Author:			John McIntosh, Joshua Gargus

Initial import of GStreamer code base from squeaksource.com/GStreamer

Name: GStreamer-Base-jcg.38
Author: jcg
Time: 4 May 2008, 11:59:55 am
UUID: c833d859-91e5-4ff9-9e90-4cc979bfc2f2
Ancestors: GStreamer-Base-jcg.37


=== 2061welcome-bf.cs ===
Change Set:		welcome-bf
Date:			26 July 2008
Author:			Bert Freudenberg

Do not enter welcome project if SRC parameter given

=== 2060squeakletDir-bf.cs ===
Change Set:		squeakletDir-bf
Date:			26 July 2008
Author:			Bert Freudenberg

Allow to configure Squeaklet directory location by VM parameter (trac #7624)

=== 2059pangoSpeed-bfyo.cs ===
Change Set:		pangoSpeed-bfyo
Date:			19 July 2008
Author:			Bert Freudenberg, Yoshiki Ohshima

Reuse plugin canvas and provide proper clipping for a considerable speedup in Pango text rendering (much faster than Balloon now)

=== 2058tubes-bf.cs ===
Change Set:		tubes-bf
Date:			7 July 2008
Author:			BertF (jhbuild)

- use telepathy tubes
- put buddies in a flap

=== 2057telepathy-bf.cs ===
Change Set:		telepathy-bf
Date:			11 July 2008
Author:			Bert Freudenberg

- add generated Telepathy bindings

=== 2056presence-bf.cs ===
Change Set:		presence-bf
Date:			18 July 2008
Author:			Bert Freudenberg

- update Presence Service bindings (add ListChannels and signals)

=== 2055DBus-Tools-bf-3.cs ===
Change Set:		DBus-Tools-bf-3
Date:			17 July 2008
Author:			Bert Freudenberg

Name: DBus-Tools-bf.3
Author: bf
Time: 17 July 2008, 8:43:58 pm
UUID: 4262ab61-4cea-46f7-8dc2-38643c55a6ca
Ancestors: DBus-Tools-bf.2

- add manual proxy class selection when compiling methods


=== 2054DBus-Objects-bf-4.cs ===
Change Set:		DBus-Objects-bf-4
Date:			17 July 2008
Author:			Bert Freudenberg

Name: DBus-Objects-bf.4
Author: bf
Time: 17 July 2008, 8:42:44 pm
UUID: 073d0b46-bc92-4eea-9dda-be31d8ec48d8
Ancestors: DBus-Objects-bf.3

- make sure mainLoop does not block on handlers
- add signal handling to proxies
- fix instance creation of concrete proxy subclass

=== 2053buddies-bf.cs ===
Change Set:		buddies-bf
Date:			11 July 2008
Author:			Bert Freudenberg

Cache joined buddies in inst var

=== 2052projNameAgain-yo.cs ===

=== 2051strMorphComposition2-yo.cs ===
Change Set:		strMorphComposition2-yo
Date:			9 July 2008
Author:			Yoshiki Ohshima

Adds the fall back case when it is run on an older VM.

=== 2050nebraskaPorts-bf.cs ===
Change Set:		nebraskaPorts-bf
Date:			1 July 2008
Author:			Bert Freudenberg

Make Nebraska work on multiple ports

=== 2049etoyPorts-bf.cs ===
Change Set:		etoyP2P-bf
Date:			1 July 2008
Author:			Bert Freudenberg

Make Etoys peer-to-peer networking use multiple ports. This involves changing the wire-format, but I found a backwards-compatible way to sneak in an optional header. Also, add a class comment explaining that weird  EToyPeerToPeer class

=== 2048connQPorts-bf.cs ===
Change Set:		connQPorts-bf
Date:			1 July 2008
Author:			Bert Freudenberg

Make ConnectionQueue work with a collection of port numbers to try listening on

=== 2047sqLandPangoFlag-yo.cs ===
Change Set:		sqLandPangoFlag-yo
Date:			30 June 2008
Author:			Yoshiki Ohshima

For Squeakland OLPC 2008, we don't use Pango.

When switching the language, or bringing the image from one platform to another, only time it changes the usePangoRenderer flag is when the new language requires it,  the old value for it is false, and the renderer is available.

=== 2046strMorphComposition-yo.cs ===
Change Set:		strMorphComposition-yo
Date:			26 June 2008
Author:			Yoshiki Ohshima

Fix measuring Strings.

It fixes the SystemWindow titles, etc. that use StringMorph, but not FITB etc. that use TextMorph with centering. 

=== 2045ResetProgressBar-yo.cs ===
Change Set:		ResetProgressBar-yo
Date:			26 June 2008
Author:			Yoshiki Ohshima

Clear the UniqueInstance of SystemProgressBar.  We might want to do it at every startUp.

=== 2044sugarService-bf.cs ===
Change Set:		sugarService-bf
Date:			24 June 2008
Author:			Bert Freudenberg

Properly register our activity service to be able to receive activation messages

=== 2043pangoJun23-yo.cs ===
Change Set:		pangoJun23-yo
Date:			24 June 2008
Author:			Yoshiki Ohshima

language attribute is created in a primitive.
when composing, text lines are not passed into anymore.


=== 2042renameDndOutMethods-tak.cs ===
Change Set:		renameDndOutMethods-tak
Date:			21 June 2008
Author:			Takashi Yamamiya

Dag and Drop output related methods are renamed to use word 'dndOut'


=== 2041fixPointerJumpDnD-tak.cs ===
Change Set:		fixPointerJumpDnD-tak
Date:			21 June 2008
Author:			Takashi Yamamiya

Fix Ticket #3793. Move HandMorph before a drop event occurs.

The reason of this bug was that hand morph remembered the position where it left Squeak window. So dropped object was shown on older position in the screen. That's why it looked as hand morph jumps when dropping.


=== 2040functionTileInTest-sw.cs ===
Change Set:		functionTileInTest-sw
Date:			20 June 2008
Author:			Scott Wallace

TRAC ticket #7062:  TestTile does not allow 'random (5) = 3'

Now it does ;=)

This update allows a function tile (obtained from the gold box) to be dropped into the TEST area of a script, whereupon it expands into a corresponding boolean comparison, in the same manner as other variables such as slot-getters and parameer tiles.

=== 2039StarMorphScripting-kfr.cs ===
Change Set:		StarMorphScripting
Date:			26 April 2008
Author:			Karl Ramberg

Adds two scripting access points to StarMorphs.

=== 2038atCursorRefresh-sw.cs ===
Change Set:		atCursorRefresh-sw
Date:			20 June 2008
Author:			Scott Wallace

TRAC 7325:  Makes readouts (in viewers and watchers) of valueAtCursor and firstElement update properly after a specific series of user gestures, detailed in TRAC report 7325, which could manage to defeat a would-be optimization in ThumbnailMorph.

Also makes the first-element slot robust in the face of a rotated holder, and bulletproofs #graphicAtCursor against a nil irregularity seen at least once.

=== 2037pangoRecompose-yo.cs ===
Change Set:		pangoRecompose-yo
Date:			20 June 2008
Author:			Yoshiki Ohshima

Call composeToBounds upon use pango flag change so that the editor knows what happened.
Also LanguageEnvironment startUp is less eager to change it on its own.

=== 2036occlusionsProb-sw.cs ===
Change Set:		occlusionsProb-sw
Date:			19 June 2008
Author:			Scott Wallace

TRAC ticket 4765 (reported by Karl Ramberg):  'TextMorph avoidOcclusion is badly broken. It renders the text invisible.  It seems TextContainer avoidsOcclutions is dependent font. I had to add two methods to TextContainer to make it work at all: TextContainer>>right and TextContainer>>withRight: If I change the font to anything but BitstreamVeraSans, avoidsOcclutions kind of works. With BitstreamVeraSans text becomes invisible.'

In view of the various ways that the the avoid-occlusions feature seems now to be broken (probably for many years), the most prudent thing to do would seem to be to remove the ability to turn this feature on from the UI.  So that is what this update does..

=== 2035numberAtCursorFix-sw.cs ===
Change Set:		numberAtCursorFix-sw
Date:			19 June 2008
Author:			Scott Wallace

Among the points raised in TRAC ticket 7315 is the observation that the 'number at cursor' item in the collections category of a Viewer delivers the wrong value, and does not work correctly as a setter, if the corresponding item is currently a text-like morph which has been rotated or scaled.  This update fixes that problem.

=== 2034menuTileFixes-sw.cs ===
Change Set:		menuTileFixes-sw
Date:			19 June 2008
Author:			Scott Wallace

TRAC #6311: Bring up a viewer, select the misc category, hover above the right part of the 'do menu item' tile, click to get a menu, dismiss the menu by clicking outside the viewer, close the viewer by clicking on its tab.

Result: the enlarged arrows stay up in the world (as well as the orange tile frame if it was active before).

Both glitches reported in the TRAC ticket are fixed by this update.

=== 2033releaseKbd-kfr.cs ===
Change Set:		releaseKbd-kfr
Date:			25 May 2008
Author:			Karl Ramberg, Scott Wallace

When hiding a morph make sure to release its keyboard focus.
(sw tweak: make it work even if the morph to be hidden has been rotated...)

=== 2032abandonUnsituated-sw.cs ===
Change Set:		abandonUnsituated-sw
Date:			16 June 2008
Author:			Scott Wallace

Re:  TRAC 7147

Provides a remedy for bloated projects which have chains of unsituated players which refer to each other in player-valued instance variables.  At user request, via a new item 'abandon unsituated players', in the authoring-tools menu, the user can now request that all such references be transformed into references to the 'Dot' standard player.

=== 2031tabAmongFields-sw.cs ===
Change Set:		tabAmongFields-sw
Date:			19 June 2008
Author:			Scott Wallace

TRAC 7313:  Tab-among-fields logic broken
:  The logic for tabbing among fields is broken in several ways; in particular any rotated text field, and any other text field whose immediate owner is not a PasteUpMorph, is excluded from participating properly in the tab-among-fields logic.

Refer to the extensive method comment in this update's lone method for details.

=== 2030pangozeroTextFix-yo.cs ===
Change Set:		pangozeroTextFix-yo
Date:			19 June 2008
Author:			Yoshiki Ohshima

A work around for the cases when the text is zero.  There seems to be a bug in the primitive, but the image side has to do something to make the system usable.

=== 2029dbusExplorer-bf.cs ===
Change Set:		dbusExplorer-bf
Date:			20 June 2008
Author:			Bert Freudenberg

Name: DBus-Tools-bf.2
Author: bf
Time: 19 June 2008, 9:33:28 pm
UUID: 9739cd29-d202-4e78-ae12-5a54bab5e973
Ancestors: DBus-Tools-bf.1

- show sessionBus and systemBus
- invoke a method directly by menu or keyboard
- register in world menu

=== 2028dbusStartup-bf.cs ===
Change Set:		dbusStartup-bf
Date:			20 June 2008
Author:			Bert Freudenberg

Fix DBus startup

=== 2027enablePango-bf.cs ===
Change Set:		enablePango-bf
Date:			19 June 2008
Author:			Bert Freudenberg

Enable Pango - see postscript

=== 2026Nepalese1-yo.cs ===

=== 2025languageAttrPrims-yo.cs ===

=== 2024DBus-EtoysScripting-bf.cs ===
Change Set:		DBus-EtoysScripting-bf
Date:			19 June 2008
Author:			Bert Freudenberg

example DBus service, makes Etoys players scriptable from outside

=== 2023dbusSugar-bf.cs ===
Change Set:		dbusSugar-bf
Date:			19 June 2008
Author:			Bert Freudenberg

switch to new DBus bindings

=== 2022DBus-Objects-bf-2.cs ===
Change Set:		DBus-Objects-bf-2
Date:			19 June 2008
Author:			Bert Freudenberg

Name: DBus-Objects-bf.2
Author: bf
Time: 19 June 2008, 9:30:07 pm
UUID: 70c0b43f-2b78-4eed-92fd-34d7237562d3
Ancestors: DBus-Objects-bf.1

first real version:
- add mainloop 
- add reply handlers and matches
- export DBusObjects as service on the DBus
- signal DBusError when receiving error

=== 2021DBus-Core-bf-42.cs ===
Change Set:		DBus-Core-bf-42
Date:			19 June 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.42
Author: bf
Time: 19 June 2008, 9:24:59 pm
UUID: 002bd5dd-dd64-4f32-9bdc-5d79335c9788
Ancestors: DBus-Core-bf.41

- fix sending ByteArrays
- coerce numbers to Float or Integer when sending
- rename selector to member to match DBus terminology
- message type is now a string, typeCode an int

=== 2020projectWriteError-bf.cs ===
Change Set:		projectWriteError-bf
Date:			19 June 2008
Author:			Bert Freudenberg

Log error while storing project

=== 2019informDuring-bf.cs ===
Change Set:		informDuring-bf
Date:			19 June 2008
Author:			Bert Freudenberg

Ensure the informer is removed after inform:during:

=== 2018dropFix-sw.cs ===
Change Set:		dropFix-sw
Date:			16 June 2008
Author:			Scott Wallace

TRAC Ticket #7268:   Attempt to duplicate a tile phrase can leave invisible detritus on the desktop.

=== 2017psEncode-bf.cs ===
Change Set:		psEncode-bf
Date:			15 June 2008
Author:			Bert Freudenberg

Fix writing Integers in PostScript - they came out as '$4$2' instead of '42'.

=== 2016ImageSeg-fix-tk.cs ===
Change Set:		ImageSeg-fix-tk
Date:				13 June 2008
Author:			Ted Kaehler

Symptom:  Reading in a project gets an error: key not found in SystemDictionary.
	If you happen to have a Browser open on a Player or a DBJr background uniclass, the ImageSegment will put the uniclass's metaclass organization in its outPointers.  The ClassOrganization has a field 'subject' that holds onto the metaclass directly.  A DiskProxy is made for this metaclass reference.  When the project is read in, the DiskProxy cannot resolve a class, since the main part of the imageSegment containing the uniclass has not been unpacked yet.  
	The solution is to put the classOrganization into the roots of the imageSegment.  I made a method that scans the objects that will be in the imageSegment.  For each uniclass, it makes sure it's metaclass's organization is in the roots.

=== 2015PangoCharBoxFix-yo.cs ===
Change Set:		PangoCharBoxFix-yo
Date:			12 June 2008
Author:			Yoshiki Ohshima

With the correct primitives updated on June 12th, 2008, the workaround is not necessary.

=== 2014trnDefName-KR.cs ===
Change Set:		trnDefName-KR
Date:			23 May 2008
Author:			Korakurider

translate default Name of SketchMorph. 
and make sure call #defaultNameStemForInstances to Morph return untranslated name.


=== 2013trn18May2008-KR.cs ===
Change Set:		trn18May2008-KR
Date:			18 May 2008
Author:			Korakurider

TRAC 7026: wording and translation for border style values

unify wording of available choices for borderStyle and fix translation


=== 2012fontInProjView-yo.cs ===

=== 2011keepVersionSqland-yo.cs ===
Change Set:		keepVersionSqland-yo
Date:			9 June 2008
Author:			Yoshiki Ohshima

The update number from the OLPC image is kept for Squeakland.

=== 2010fixSharedQueueAgain-bf.cs ===
Change Set:		fixSharedQueueAgain-bf
Date:			9 June 2008
Author:			Bert Freudenberg

Fix SharedQueue>>nextOrNilSuchThat: to not throw away non-matching elements, and make #nextOrNil signal correctly

=== 2009fixSharedQueue-bf.cs ===
Change Set:		fixSharedQueue-bf
Date:			6 June 2008
Author:			Bert Freudenberg

Fix SharedQueue>>nextOrNilSuchThat: to not throw away non-matching elements.

=== 2008PlayersToolFixJun5-yo.cs ===
Change Set:		PlayersToolFixJun5-yo
Date:			5 June 2008
Author:			Yoshiki Ohshima

inspecting a player raises an error.

The method used was #indefiniteArticlePrefix that exists in some other images.  That method even tries to use #translated but it doesn't make so much sense for vast majority of languages.  So, I just took out the send.

=== 2007hidePopArrows-sw.cs ===
Change Set:		hidePopArrows-sw
Date:			4 June 2008
Author:			Scott Wallace

TRAC #7169
 - Large arrows on watchers get left behind when watcher is moved

=== 2006worldScriptingCat-sw.cs ===
Change Set:		worldScriptingCat-sw
Date:			4 June 2008
Author:			Scott Wallace

TRAC 7183:  Offer scripting category in world's viewer.

=== 2005timesRepeatFixes-sw.cs ===
Change Set:		timesRepeatFixes-sw
Date:			28 May 2008
Author:			Scott Wallace, Karl Ramberg

TRAC 7044:   	 TimesRepeat tile is not translated.

This update makes the Times, Repeat, and Do labels on Times/Repeat tiles translatable, but it will take a while for actual translations to catch up...

Also fixes a bug that resulted in an unwanted pale green spacer on the Times tile, as well as a bug that resulted in the temporary positioning of the extension arrow before the 2 on a nascent times tile (rather than after the 2, as expected) ... thanks to Karl for both of those fixes.

=== 2004goldBoxFix-sw.cs ===
Change Set:		goldBoxFix-sw
Date:			18 May 2008
Author:			Scott Wallace

Fix for TRAC  Ticket #7028 
A tile from golden box is duplicated


=== 2003pointTypeArrows-sw.cs ===
Change Set:		pointTypeArrows-sw
Date:			18 May 2008
Author:			Scott Wallace

Fix for TRAC 7024: Up/Down button shown for location in viewer.  As Korakurider points out, up-down arrows on point-type readouts were meaningless as well as non-functional, so they are now removed.  Arguably a suffix arrow *shoud* appear on point-type tiles, but evidently that never worked (i.e. a suffix arrow did appear on point-type tiles but it never did anything); until operating the suffix arrow on a point-type tile can be made to do something (i.e. something comparable to what happens with number-type tiles) it is now removed from the UI.

=== 2002ForceTileHeight.cs ===

=== 2001trnMisc11May08-KR.cs ===
Change Set:		trnMisc11May08-KR
Date:			11 May 2008
Author:			Korakurider

fix for many of missing translations in 
'Missing Translations Etoys 1996.txt' attached at  TRAC1966

=== 2000trnFlapHelp-KR.cs ===
Change Set:		trnFlapHelp-KR
Date:			11 May 2008
Author:			Korakurider

translate help text for Flap

Original text used 0x0D 0x0A as newline, that caused compile error of exported PO file,
so all 0x0A have been carefully removed.


=== 1999evtRollHelp-sw.cs ===
Change Set:		evtRollHelp-sw
Date:			13 May 2008
Author:			Scott Wallace

Replaces 22 bogus ascii-160 characters that got into the event-roll help-string where simple space characters should have gone.  Thanks to Korakurider for uncovering this problem.

=== 1998NotificationForOld-yo.cs ===
Change Set:		NotificationForOld-yo
Date:			9 May 2008
Author:			Yoshiki Ohshima

Add a do it in the project changeset.  The do it notifies if the project made in a newer image is loaded onto an old one.

=== 1997nilSelectionFix-sw.cs ===
Change Set:		nilSelectionFix-sw
Date:			9 May 2008
Author:			Scott Wallace

Fix for TRAC 6972: 
Paste with yellow menu in FillInTheBlank to find class

=== 1996DBus-Core-bf-41.cs ===
Change Set:		DBus-Core-bf-41
Date:			8 May 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.41
Author: bf
Time: 8 May 2008, 5:19:11 pm
UUID: d006be6a-8f0a-4387-a963-ca3591613dfb
Ancestors: DBus-Core-bf.40

- fix reading empty ByteArrays

=== 1995transTriggers2-KR.cs ===
Change Set:		transTriggers2-KR
Date:			23 April 2008
Author:			Korakurider

- fix typo 'keystroke' to 'keyStroke' brought by 1985transTriggers-KR-2
- translate helpStrinsg for event of Morphs. Those will be shown in #explainStatusAlternatives
- translate balloonHelp for some preferences



=== 1994transPgCtrl-KR.cs ===
Change Set:		transPgCtrl-KR
Date:			1 May 2008
Author:			Korakurider

translate controls built with #showPageControls

=== 1993transMisc1May08-KR.cs ===

=== 1992transWinColor-KR.cs ===
Change Set:		transWinColor-KR
Date:			1 May 2008
Author:			Korakurider

translate Windows Colors panel 

=== 1991transMisc30Apr08-KR.cs ===
Change Set:		transMisc30Apr08-KR
Date:			30 April 2008
Author:			Korakurider

translate captions for #request:initialAnswer: 
					#inform:  and #confirm:trueChoice:falseChoice:

=== 1990transProjDetail-KR.cs ===
Change Set:		transProjDetail-KR
Date:			30 April 2008
Author:			Korakurider

translate captions on EtoyProjectDetailsMorph

=== 1989ButtonInSupplies-yo.cs ===
Change Set:		ButtonInSupplies-yo
Date:			1 May 2008
Author:			Yoshiki Ohshima

Add button to the Supplies flap by evaluating its initialization method.

=== 1988VideoPropertiesFix.cs ===
Change Set:		VideoPropertiesFix
Date:			21 January 2008
Author:			Karl Ramberg

Sliders for brightness and contrast now have 10 pixel height instead of 2 pixels

=== 1987locChgPatchTile-KR.cs ===
Change Set:		locChgPatchTile-KR
Date:			1 May 2008
Author:			Korakurider

fix for TRAC 6563: Switching language causes DNU if viewer exists for Kedama

KedamaPatchTileMorph in Viewer doesn't have labelMorph.
this will work it around by quick and dirty way


=== 1986OLPCVirtual16-yo.cs ===
Change Set:		OLPCVirtual16-yo
Date:			29 April 2008
Author:			Yoshiki Ohshima

Default depth for the virtual screen is now 16.

=== 1985transTriggers-KR-2.cs ===
Change Set:		transTriggers-KR
Date:			16 April 2008
Author:			Korakurider

translate ScriptStatus chooser

=== 1984transTransition-KR.cs ===
Change Set:		transTransition-KR
Date:			18 April 2008
Author:			Korakurider

translate effects of page transition for BookMorph

=== 1983transSymbolList-KR.cs ===
Change Set:		transSymbolList-KR
Date:			18 March 2008
Author:			Korakurider

translate choices in cellPositioning in Layout menu and borderStyle menu that are defined as symbol list.
Note: With this patch borderStyles are shown as camelCase intentionally  because I don't think 'complex alt framed' is better than 'compleAltFramed' .
          Layout settings have been shown as uncameled, so no changes to them.


=== 1982transSvcLabel-KR.cs ===
Change Set:		transSvcLabel-KR
Date:			21 March 2008
Author:			Korakurider

translate label/description/buttonLabel of service entries for FileList

=== 1981transStarSq-KR-2.cs ===
Change Set:		transStarSq-KR
Date:			27 March 2008
Author:			Korakurider

translate StarSqueak.
This includes also fix to parameter slider

=== 1980transPrefPanel-KR-1.cs ===
Change Set:		transPrefPanel-KR
Date:			28 March 2008
Author:			Korakurider

translate preference panel

=== 1979transNebraska-KR.cs ===
Change Set:		transNebraska-KR
Date:			25 March 2008
Author:			Korakurider

translate several strings in Nebraska

=== 1978transMisc2-KR.cs ===
Change Set:		transMisc2-KR
Date:			16 April 2008
Author:			Korakurider

translated misc missing translations

=== 1977transMisc1-KR.cs ===
Change Set:		transMisc1-KR
Date:			18 March 2008
Author:			Korakurider

fix miscellaneous about translations:
+ fix 'painting...' in halo menu as translated correctly 
+ use parameter in original wording for title of menu to select target to embed, 
    so that word ordering can be changed in translation.  
+ translate balloonText for test tile in test category of viewer 
+ translate some menuitems for Book
+ fix and translate balloonHelp for buttons and tile wording of SoundRecorder
+ use parameter for durationString of SoundRecorder, so that word ordering can be changed in translation.  
+ fix missing translation in AllPlayerTool
+ translate literals in VideoMorph
+ translate some menuitem for SliderMorph  


=== 1976transMisc08APR15-KR.cs ===
Change Set:		transMisc08APR15-KR
Date:			17 April 2008
Author:			Korakurider

address missing translations pointed by Gerhard Steiner 2008/4/15 

=== 1975transGame-KR.cs ===
Change Set:		transGame-KR
Date:			28 March 2008
Author:			Korakurider

translate  Games

=== 1974transEmphAlign-KR.cs ===
Change Set:		transEmphAlign-KR
Date:			16 April 2008
Author:			Korakurider

translate choices for Emphasis & Alignment of TextMorph

=== 1973transAdhereEdge-KR-1.cs ===
Change Set:		transAdhereEdge-KR
Date:			18 March 2008
Author:			Korakurider

translate choices in Halo menu 'extras - adhere to edge
Note that wordings are changed as unCamel case



=== 1972noAltV-sw.cs ===
Change Set:		noAltV-sw
Date:			18 April 2008
Author:			Scott Wallace

Further to TRAC #6903  	 Can not cancel alt + v in text pane.

Unhook cmd-shift-V / alt-V from its former binding to  'paste author initials' functionality, as per Bert's recommendation.

=== 1971authorInitialsIssues-sw.cs ===
Change Set:		authorInitialsIssues-sw
Date:			17 April 2008
Author:			Scott Wallace

TRAC 6903: Can not cancel alt + v in text pane...

- Allow the user to cancel out of an author-initials prompt, in which case use a default indication in logged method time-stamps.
- Do not put up an author-initials prompt if author-initials are absent when cmd-shift-V is issued in a text pane.

=== 1970lessFuzzyGoldBox-sw.cs ===
Change Set:		lessFuzzyGoldBox-sw
Date:			16 April 2008
Author:			Scott Wallace

Makes the icons in the gold box less fuzzy.  Some issues remain, but at least the effect is less disturbing than the first generation of bigger icons obtained in update 1962...

=== 1969gridOnDrop-sw.cs ===
Change Set:		gridOnDrop-sw
Date:			13 April 2008
Author:			Scott Wallace

Picks up on Karl Ramberg's effort to restore some of the lost functionality of pasteUpMorph 'gridding'. If a morph is dropped into a paste-up-morph in which gridding is in effect, the paste-up-morph will now grid the morph's position upon acceptance of the drop.

=== 1968translatedOperator-sw.cs ===
Change Set:		translatedOperator-sw
Date:			14 April 2008
Author:			Scott Wallace

Make isDivisibleBy: on numeric-comparator tiles appear un-camel-cased and translated.
Make increase-by, etc., translatable.
Install properly translated balloon-help message on operator tiles.

=== 1967RemoveProgress-cjs.cs ===
Change Set:		RemoveProgress-cjs
Date:			11 April 2008
Author:			Ties Stuji

Replace uptoEndWithProgressBar with upToEnd.

=== 1966activeSubMenu-kfr.cs ===
Change Set:		activeSubMenu-kfr
Date:			6 April 2008
Author:			Karl Ramberg

This is a fix so sub menus which have stay up selected don't get deleted when mail menu is deleted

=== 1965textMorphHalo-sw.cs ===
Change Set:		textMorphHalo-sw
Date:			11 April 2008
Author:			Scott Wallace

TRAC 6817 Implements a suggestion of Bert's:  When showing the halo on a TextMorph, indicate the morph's bounds as well.

=== 1964functionNames-sw.cs ===
Change Set:		functionNames-sw
Date:			10 April 2008
Author:			Scott Wallace

TRAC6866 - add sign (signum) function.

Also, change a few function names to names more appropriate to tile-scripting, given that the function name precedes the argument on tiles:

'squared' changed to 'square'
'cubed' changed to 'cube'
'rounded' changed to 'round'
'negativeOf' changed to 'negate'

'sign' added, representing signum function.
'truncate' added (like round, but rounds toward zero.)

'grouped' changed to 'parentheses', and when parentheses is the current choice, the 'remove' option in the pop-up menu is worded 'remove parentheses' rather than 'remove function'.


=== 1963savePasteUp-sw.cs ===
Change Set:		savePasteUp-sw
Date:			9 April 2008
Author:			Scott Wallace

TRAC 6868:  Make the save-morph-on-file command found in the debug halo menu of a pasteup morph always save a .morph file, just as for any other paste-up-morph.

Also, if the object has a known name, use that as the basis for the point-of-departure file name; thus, a Holder will have 'Holder' in its default file name, not  'My PasteUpMorph', etc.

=== 1962goldBoxIconSize-sw.cs ===
Change Set:		goldBoxIconSize-sw
Date:			9 April 2008
Author:			Scott Wallace

TRAC 6867 Tiles in golden 'treasure box' are too small -- they can hardly be recognized on an XO

Make the icons in the gold-box menu larger, and factors size-definition out so that it can more easily be changed.

Also, force the gold-box to be entirely on-screen.
Also, fixes a typo in the balloon-help for one of the gold-box icons.

NB:  The multiple scalings applied result in somewhat fuzzy-looking icons in some cases; this should probably be improved eventually.

=== 1961squeaklandClouds-yo.cs ===
Change Set:		squeaklandClouds-yo
Date:			7 April 2008
Author:			Yoshiki Ohshima

Add clouds to Squeakland OLPC initial screen.

=== 1960QGuide-web2-tk.cs ===
Change Set:		QGuide-web2-tk
Date:			7 April 2008
Author:			Ted Kaehler

Enhancements to the code that writes QuickGuides out as web pages.  This is only used by Ted, and is not needed by normal EToys users.

See web pages of the guides at:  http://wiki.laptop.org/go/Etoys_QuickGuides_Index

Add the text in each page of the guide to the 'alt=' field of each image in the web page, and also add the text to the bottom of the page.  This is so that search engines will find it.  Users will be able to search for a QuickGuide topic on Google and find the guide page.


=== 1959HideUpdateServer-yo.cs ===

=== 1958addLocalPrefs-yo.cs ===
Change Set:		addLocalPrefs-yo
Date:			7 April 2008
Author:			Yoshiki Ohshima

Add ServerDirectory to ExternalSettings for non-XO environment.

=== 1957narrowForgetDoIts-yo.cs ===
Change Set:		narrowForgetDoIts-yo
Date:			4 April 2008
Author:			Yoshiki Ohshima

#forgetDoIt doesn't have to be called for all classes.

In the case where #DoIt or #DoItIn: method definition for a class appears in a .st file, it will be removed (as it used to be), because the change set goes through the fileInAnnouncing: method.

In the case where the change set included in a project, it will be removed (as it used to be), because the change set goes through the fileInAnnouncing: method.

In the case where the user actually modifies  the project saving code and remove #forgetDoIts call from theirs, ImageSegment>>comeFullyUpOnReload removes it.

fileInFor:announcing: is unchanged as SAR files are not of interest on XO and may have some other reasons to have #DoIt methods.


=== 1956phraseExpandFix-sw.cs ===
Change Set:		phraseExpandFix-sw
Date:			1 April 2008
Author:			Scott Wallace

Fix for: TRAC 6807
Auto-phrase-expansion flag not honored on phrase drop.

=== 1955anchorTransl-bf.cs ===
Change Set:		anchorTransl-bf
Date:			1 April 2008
Author:			Bert Freudenberg

Fix one missing translate send.

=== 1954MoveMODir2-bf.cs ===
Change Set:		MoveMODir2-bf
Date:			1 April 2008
Author:			Bert Freudenberg

Ticket #6212. One more place to change 'lang' to 'locale'

=== 1953MoveMODir-tak.cs ===
Change Set:		MoveMODir-tak
Date:			31 March 2008
Author:			Takashi Yamamiya

Ticket #6212. Move directory name for MO files from 'lang' to 'locale'.

=== 1952ProjectLoadingMar28-yo.cs ===
Change Set:		ProjectLoadingMar28-yo
Date:			28 March 2008
Author:			Yoshiki Ohshima

Some optimizations on ProjectLoading.

  To measure stuff, following might be useful.

dir _ FileDirectory on: 'C:\squeak\olpc\ExampleEtoysSISS'.
entries _ FileList2 projectOnlySelectionMethod: dir entries.
entries _ entries collect: [:each | Project parseProjectFileName: each first].
entries do: [:each |
	Transcript show: '\siss: ' withCRs, each first, ' ', ([ProjectLoading loadFromDir: 'C:\squeak\olpc\ExampleEtoysSISS' projectName: each first] timeToRun) printString.
	proj _ (Project named: each first).
	proj ifNotNil: [proj okToChangeSilently].
	Transcript show: '\classic: ' withCRs , each first, ' ', ([ProjectLoading loadFromDir: 'C:\squeak\olpc\ExampleEtoys' projectName: each first] timeToRun) printString.
	Transcript cr.
	proj _ (Project named: each first).
	proj ifNotNil: [proj okToChangeSilently].
].

	MessageTally spyOn: [ProjectLoading loadFromDir: 'C:\squeak\olpc\ExampleEtoys' projectName: 'DemonCastle1'].


=== 1951SISSChangeSets-yo.cs ===

=== 1950SISSFlapTab2-yo.cs ===
Change Set:		SISSFlapTab2-yo
Date:			28 March 2008
Author:			Yoshiki Ohshima

Simplify a bit to avoid recursion.

=== 1949SISSPrefObj-yo.cs ===
Change Set:		SISSPrefObj-yo
Date:			28 March 2008
Author:			Yoshiki Ohshima

Preference object follows the one in the environment.

=== 1948SISSFlapTab-yo.cs ===

=== 1947PopUpArrowsFix-yo.cs ===
Change Set:		PopUpArrowsFix-yo
Date:			28 March 2008
Author:			Yoshiki Ohshima

In some unusual situation, ActiveHand can be nil when transitioning to a new something by an event from a replayed hand.

There are five users of #popArrows property but only layoutChanged would be called from such event handler.

=== 1946sugarProxies-bf.cs ===
Change Set:		sugarProxies-bf
Date:			28 March 2008
Author:			Bert Freudenberg

add proxies for datastore, journal, and presence

=== 1945DBus-Core-bf-40.cs ===
Change Set:		DBus-Core-bf-40
Date:			28 March 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.40
Author: bf
Time: 28 March 2008, 6:16:33 pm
UUID: 72619509-95bd-40fc-9e1c-719c427c9c57
Ancestors: DBus-Core-bf.39

- default to int32 when sending integers

=== 1944xoBundle3-bf.cs ===
Change Set:		xoBundle3-bf
Date:			28 March 2008
Author:			Bert Freudenberg

Include lang dir when bundling, add MO_PATH in script

=== 1943DBus-Tools-bf-1.cs ===
Change Set:		DBus-Tools-bf-1
Date:			28 March 2008
Author:			Bert Freudenberg

Name: DBus-Tools-bf.1
Author: bf
Time: 28 March 2008, 4:38:13 pm
UUID: 49b776a4-b1cf-4e71-87de-3ddcfeaf14b9
Ancestors: DBus-Tools-bf.0

- DBusExplorer supports proxy class compiling

=== 1942DBus-Objects-bf-1.cs ===
Change Set:		DBus-Objects-bf-1
Date:			28 March 2008
Author:			Bert Freudenberg

Name: DBus-Objects-bf.1
Author: bf
Time: 28 March 2008, 4:25:26 pm
UUID: b803ae36-4a71-4b68-b769-592ecef84b4e
Ancestors: 

- initial version
- still uses mainloop of OLPC Etoys SugarLauncher

=== 1941DBus-Core-bf-39.cs ===
Change Set:		DBus-Core-bf-39
Date:			28 March 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.39
Author: bf
Time: 28 March 2008, 4:20:49 pm
UUID: 57432302-3108-4e8c-8d92-82a20fe55ede
Ancestors: DBus-Core-bf.38

- fix reading Bytes (prim returns signed ints) 
- optimize receiving ByteArrays

=== 1940DBus-Core-bf-38.cs ===
Change Set:		DBus-Core-bf-38
Date:			27 March 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.38
Author: bf
Time: 27 March 2008, 4:45:37 pm
UUID: cc92dc8e-0804-45e4-bd6b-9ca0670f1928
Ancestors: DBus-Core-bf.37

- rename bool to boolean
- nicer signature names

=== 1939viewerMenuHelp-sw.cs ===
Change Set:		viewerMenuHelp-sw
Date:			26 March 2008
Author:			Scott Wallace

TRAC 5784:  The help balloon for the white menu in the top of the Viewer says: 'click here to get a menu that will allow you to add a variable, tear off a tile, etc.' but . . . you can't add a variable in that menu. (Kathleen)

Fixed by changing the wording of the help message.

=== 1938polyFill-sw.cs ===
Change Set:		polyFill-sw
Date:			26 March 2008
Author:			Scott Wallace

Avoid errors encountered when putting up halo menu for open polygons.

=== 1937FD-oldFileOrNoneNamed.cs ===

=== 1936polygonFillStyle-sw.cs ===
Change Set:		polygonFillStyle-sw
Date:			25 March 2008
Author:			Scott Wallace

TRAC 6379: when a PolygonMorph is 'open', errors occur when you point its Viewer at the 'fill and border' category

=== 1935unicodeFallback-bf.cs ===
Change Set:		unicodeFallback-bf
Date:			29 November 2007
Author:			Bert Freudenberg

Fall back to MacRoman if UTF32 charcode is 0. Cope with CmdKeys>255 in ParagraphEditor.

=== 1934romepango2-yo.cs ===
Change Set:		romepango2-yo
Date:			24 March 2008
Author:			Yoshiki Ohshima

The image-side Pango support rev. 2.

=== 1933romepango.cs ===
Change Set:		romepango
Date:			11 June 2007
Author:			Yoshiki Ohshima

The image-side Pango support.

=== 1932romepango-base.cs ===
Change Set:		romepango-base
Date:			11 June 2007
Author:			Yoshiki Ohshima

The code borrowed from the Rome package.

=== 1931WhiteMenuHandle-tak.cs ===
Change Set:		WhiteMenuHandle-tak
Date:			20 March 2008
Author:			Takashi Yamamiya

It makes menu handle be white when biggerHandles is disabled.

=== 1930ScrptEditFeedback-kfr.cs ===
Change Set:		ScriptEditorFeedback
Date:			18 March 2008
Author:			Karl Ramberg

ScriptEditors lost visual feedback when a tile was dragged from a TestTile(CompoundTileMorph). Fixed here

=== 1929evtTheatreTransl-sw.cs ===
Change Set:		evtTheatreTransl-sw
Date:			20 March 2008
Author:			Scott Wallace

Addresses most issues in TRAC 6725.
Make many button labels and help messages involved in the Event Theatre and the Event Roll be set up for translatability.
Hide various development-related menu items when the new 'debugging' preference is false.
Brings the explanation about publishing alternatives up to date.
Provides a s;ummary of terms in the help-window for the event theatre.


=== 1928collapseFixes-sw.cs ===
Change Set:		collapseFixes-sw
Date:			20 March 2008
Author:			Scott Wallace

TRAC 6715.  Make the sugar-navigator-bar immune to collapsing.  Also clean up a number of things relating to collapsing and expanding of windows as well as non-windows.

=== 1927helpFlapScroll-sw.cs ===
Change Set:		helpFlapScroll-sw
Date:			20 March 2008
Author:			Scott Wallace

TRAC 6726 - fixes the bug that the scroll-panes associated with the help-flaps for tools such as the Event Theatre were ill-sized, and in particular if the content required scrolling to be fully seen, the tail-end would be not visible, and the down-pointing scroll-arrow at the bottom of the scrollbar would be off-screen.  Solution involves taking Sugar nav-bar into account when re-figuring pane-size.

=== 1926SISSNoSortDict-yo.cs ===
Change Set:		SISSNoSortDict-yo
Date:			19 March 2008
Author:			Yoshiki Ohshima

Ignore the key order in a dictionary when writing out SISS.

=== 1925unixLatin1Input-yo.cs ===
Change Set:		unixLatin1Input-yo
Date:			18 March 2008
Author:			Yoshiki Ohshima

Simply use UTF32InputInterpreter on unix.

=== 1924lingeringPlayers-sw.cs ===
Change Set:		lingeringPlayers-sw
Date:			17 March 2008
Author:			Scott Wallace

In the traditional (pre-s-expression) project-saving mechanism, call #cleanUpReferences to remove stale entries from project's references pool.  This should eliminate a pernicious source of object bloat in project files.

=== 1923KedamaTilesRefac-yo.cs ===
Change Set:		KedamaTilesRefactoring-yo
Date:			16 March 2008
Author:			Yoshiki Ohshima

Clean up a bit around Kedama tiles.

=== 1922SISSAvoidNameCrash-yo.cs ===
Change Set:		SISSAvoidNameCrash-yo
Date:			16 March 2008
Author:			Yoshiki Ohshima

Loaded project will have suffix if there is already one with the same name.

=== 1921SISSProjVerAndCS-yo.cs ===
Change Set:		SISSProjWithVersionAndCS-yo
Date:			16 March 2008
Author:			Yoshiki Ohshima

Save project version and changeset in a project stored in the SISS format.

=== 1920SISSUniclassHier-yo.cs ===
Change Set:		SISSUniclassHierarchy-yo
Date:			27 Feburuary 2008
Author:			Yoshiki Ohshima

Uniclasses in a hieraracy are better handled with this.

=== 1919SISSPlayerAndWspace-yo.cs ===
Change Set:		SISSPlayerAndWorkspace-yo
Date:			25 February 2008
Author:			Yoshiki Ohshima

Make it possible to write out an uniclass without its instance.  Also, make it possible to save a project with naked tiles.

=== 1918UTF8InputFix-ar.cs ===
Change Set:		UTF8InputFix
Date:			6 April 2006
Author:			Andreas Raab

Raise an error when malformed input is detected in the UTF8TextConverter.

=== 1917bearingToFix-sw.cs ===
Change Set:		bearingToFix-sw
Date:			9 March 2008
Author:			Scott Wallace

report #bearingTo: in the range -180 to 180.

=== 1916sugarDBus-bf.cs ===
Change Set:		sugarDBus-bf
Date:			12 March 2008
Author:			Bert Freudenberg

- adapt to new DBus-Core (needs new plugin)
- prevent endless loop in msg dispatching
- remove handlers on timeout

=== 1915DBus-Core-bf-37.cs ===
Change Set:		DBus-Core-bf-37
Date:			12 March 2008
Author:			Bert Freudenberg

Name: DBus-Core-bf.37
Author: bf
Time: 7 March 2008, 7:13:27 pm
UUID: 75d3ad5f-5627-42ee-9703-6fae2f25ba06
Ancestors: DBus-Core-bf.36

WARNING: this version needs DBus-Plugin-bf.31 or later, it is incompatible with earlier plugins

=== 1914fixSharedQ2-bf.cs ===
Change Set:		fixSharedQ2-bf
Date:			11 February 2006
Author:			Bert Freudenberg

Nil out unused slots in shared queue. This is a really old fix of mine, wonder what else we are missing ...

=== 1913compareToClipFix-sw.cs ===
Change Set:		compareToClipFix-sw
Date:			26 February 2008
Author:			Scott Wallace

Fixes the compare-to-clipboard feature (alt-shift-C issued in a text pane) for the case where a string, rather than a text, is already on the clipboard.

=== 1912sketchName-sw.cs ===
Change Set:		sketchName-sw
Date:			18 February 2008
Author:			Scott Wallace

Works around an obscure bug that made duplication of a newly-created Sketch be given an inappropriate name.

=== 1911sketchPolygonUndo-nice.cs ===
Change Set:		sketchPolygonUndo-nice
Date:			5 November 2007
Author:			Nicholas Cellier

Fixes a bug in use of undo in the painting tool when in polygon mode.

Gleaned from Mantis 6732, and vetted and harvested for olpc by Scott Wallace - sw 2/26/2008 14:48 

=== 1910revealFix-sw.cs ===
Change Set:		revealFix-sw
Date:			26 February 2008
Author:			Scott Wallace

Fixes the bug that a reveal-player for a player whose costume is the World fell into a debugger.

=== 1909stderrLog-bf.cs ===
Change Set:		errorLog-bf
Date:			22 February 2008
Author:			Bert Freudenberg

Log error to stderr if logDebuggerStackToConsole is true (in addition to logDebuggerStackToFile)

=== 1908stdStreams2-bf.cs ===
Change Set:		stdStreams2-bf
Date:			22 February 2008
Author:			Bert Freudenberg

Make sure to use standard streams only on unix

=== 1907crlfFix-bf.cs ===
Change Set:		crlfFix-bf
Date:			22 February 2008
Author:			Bert Freudenberg

MultiByteFileStream>>nextPutAll: ignored the lineEndConversion settings

=== 1906stdStreams-bf.cs ===
Change Set:		stdStreams-bf
Date:			22 February 2008
Author:			Bert Freudenberg

Add support for stdin, stdout, stderr. Also, setting #lineEndConvention: enables the line end conversion.

=== 1905changesFix-bf.cs ===
Change Set:		changesFix-bf
Date:			21 February 2008
Author:			Bert Freudenberg

Change #changesName to be a full path derived from image name, just like #imageName and #sourcesName. This makes more code work even if the changes are not in the default directory.

=== 1904dbusExplorer-bf.cs ===
Change Set:		dbusExplorer-bf
Date:			21 February 2008
Author:			Bert Freudenberg

Add a graphical DBusExplorer.

=== 1903idParams-bf.cs ===
Change Set:		idParams-bf
Date:			21 February 2008
Author:			Bert Freudenberg

Refactor activity id and bundle id parameters

=== 1902suspendUI-bf.cs ===
Change Set:		suspendUI-bf
Date:			20 February 2008
Author:			Bert Freudenberg

Suspend the UI process while not active (#2939)

=== 1901rehashMDs-lg.cs ===

=== 1900htmlColor-bf.cs ===
Change Set:		htmlColor-bf
Date:			19 February 2008
Author:			Bert Freudenberg

Bug: (Color fromString: '#222222') asHTMLColor = '#212121'

Fix asHTMLColor, also speed up 10x.

=== 1899gapFiller1899.cs ===


=== 1898gapFiller1898.cs ===


=== 1897gapFiller1897.cs ===

